Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.apps.groupspace.documents.controls
Interface GsDocControl

All Superinterfaces
  CM_Control<com.bea.apps.groupspace.documents.GsDoc>, ContentControlBase<com.bea.apps.groupspace.documents.GsDoc,com.bea.apps.groupspace.folders.Folder>, GroupSpaceContentControl<com.bea.apps.groupspace.documents.GsDoc>, Serializable

    public interface GsDocControl

extends CM_Control<com.bea.apps.groupspace.documents.GsDoc>

Create a GroupSpace Document.

Nested Class Summary

Nested classes/interfaces inherited from interface com.bea.apps.groupspace.controls.generic.ContentControlBase
`ContentControlBase.NodeSearchType, ContentControlBase.Params`

Method Summary
`com.bea.apps.groupspace.documents.GsDoc` | `create(String title, String description, com.bea.apps.groupspace.content.CommunityContent.Visibility visibility, String author, String keyword, String docType, byte[] attachment, com.bea.content.ID parentId, com.bea.content.ID[] relatedNodes)`
`com.bea.apps.groupspace.documents.GsDoc` | `create(String title, String description, com.bea.apps.groupspace.content.CommunityContent.Visibility visibility, String author, String keyword, String docType, String attachmentName, long attachmentSizeInBytes, byte[] attachment, com.bea.content.ID parentId, com.bea.content.ID[] relatedNodes, Set<CmxControl.PropertyPair> dynamicProps)`
`InputStream` | `getAttachment(com.bea.apps.groupspace.documents.GsDoc gsDoc)`

Methods inherited from interface com.bea.apps.groupspace.controls.generic.CM_Control
`getPersonalContentFolder`

Methods inherited from interface com.bea.apps.groupspace.controls.generic.GroupSpaceContentControl
`asSet, createFolder, createFolder, findByDescription, findByTitle, getCommunity, getCommunityAndPrivate, getCommunityFolder, getPersonal, getPrivate, getReferencingContent, getReferencingContent, getRelatedContent, promoteToCommunity, removeCommunityAndPrivate, removePersonal, removePrivate`

Methods inherited from interface com.bea.apps.groupspace.controls.generic.ContentControlBase
`createObjectClass, createObjects, createObjects, findById, findContentById, findMany, findMany, findManyChildren, getAllPropertyDefinitions, getDefaultStringValue, getFolder, getImmediateChildren, getImmediateChildren, getImmediateChildrenAsPagedResult, getObjectClass, getTopFolder, getTopNode, move, move, remove, remove, remove, removeAll, update, update`

Method Detail

### create

    com.bea.apps.groupspace.documents.GsDoc create(String title,
                                                   String description,
                                                   com.bea.apps.groupspace.content.CommunityContent.Visibility visibility,
                                                   String author,
                                                   String keyword,
                                                   String docType,
                                                   byte[] attachment,
                                                   com.bea.content.ID parentId,
                                                   com.bea.content.ID[] relatedNodes)
                                                   throws com.bea.content.AuthenticationException,
                                                          com.bea.content.AuthorizationException,
                                                          com.bea.content.NodeExistsException,
                                                          com.bea.content.NoSuchObjectClassException,
                                                          com.bea.content.RepositoryException,
                                                          InstantiationException,
                                                          IllegalAccessException,
                                                          InvocationTargetException,
                                                          SQLException,
                                                          CharacterCodingException

  Parameters
    `title` -
    `description` -
    `visibility` -
    `author` -
    `keyword` -
    `docType` -
    `attachment` -
    `parentId` - Is only relevant for Community and Private visibilties
    `relatedNodes` -
  Returns
  Throws
    `com.bea.content.AuthenticationException`
    `com.bea.content.AuthorizationException`
    `com.bea.content.NodeExistsException`
    `com.bea.content.NoSuchObjectClassException`
    `com.bea.content.RepositoryException`
    `InstantiationException`
    `IllegalAccessException`
    `InvocationTargetException`
    `SQLException`
    `CharacterCodingException`

### create

    com.bea.apps.groupspace.documents.GsDoc create(String title,
                                                   String description,
                                                   com.bea.apps.groupspace.content.CommunityContent.Visibility visibility,
                                                   String author,
                                                   String keyword,
                                                   String docType,
                                                   String attachmentName,
                                                   long attachmentSizeInBytes,
                                                   byte[] attachment,
                                                   com.bea.content.ID parentId,
                                                   com.bea.content.ID[] relatedNodes,
                                                   Set<CmxControl.PropertyPair> dynamicProps)
                                                   throws com.bea.content.NoSuchNodeException,
                                                          com.bea.content.RepositoryException,
                                                          com.bea.content.AuthorizationException

  Parameters
    `title` -
    `description` -
    `visibility` -
    `author` -
    `keyword` -
    `docType` -
    `attachmentName` -
    `attachmentSizeInBytes` -
    `attachment` -
    `parentId` - Is only relevant for Community and Private visibilties
    `relatedNodes` -
    `dynamicProps` -
  Returns
  Throws
    `com.bea.content.NoSuchNodeException`
    `com.bea.content.RepositoryException`
    `com.bea.content.AuthorizationException`

### getAttachment

    InputStream getAttachment(com.bea.apps.groupspace.documents.GsDoc gsDoc)
                              throws com.bea.content.RepositoryException,
                                     com.bea.content.AuthorizationException

  Throws
    `com.bea.content.RepositoryException`
    `com.bea.content.AuthorizationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved